# Class CIM_DiskGroup
extends CIM_CollectionOfMSEs

A DiskGroup is a named collection of DiskDrives and the StorageExtents accessed using those Drives. The collection is used to limit the BasedOn relationships of the Extents in the DiskGroup. Extents in the Group cannot be BasedOn storage accessed from Drives outside of the Group. For example, a SoftwareVolume created within the DiskGroup is restricted to be completely accessed using Drives in the Group. Actions such as replicate or migrate on an Extent must operate within the scope of the Extents that are present in the DiskGroup.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_Collection
|
+--CIM_CollectionOfMSEs
|
+--CIM_DiskGroup

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---

Description

string

A DiskGroup is a named collection of DiskDrives and the StorageExtents accessed using those Drives. The collection is used to limit the BasedOn relationships of the Extents in the DiskGroup. Extents in the Group cannot be BasedOn storage accessed from Drives outside of the Group. For example, a SoftwareVolume created within the DiskGroup is restricted to be completely accessed using Drives in the Group. Actions such as replicate or migrate on an Extent must operate within the scope of the Extents that are present in the DiskGroup.

UMLPackagePath | string | CIM::Device::DiskGroup
Version | string | 2.10.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
CollectionID | string |
Description | string | The identification of the Collection object. When subclassed, the CollectionID property can be overridden to be a Key property.
Key | boolean | true
MaxLen | uint32 | 256
Override | string | CollectionID

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
ElementName | string | CIM_ManagedElement
InstanceID | string | CIM_ManagedElement

## Class Methods